//
//  AskIfWillComeBackScreen.swift
//  Sequoia
//
//  Created by Victor on 14/10/2024.
//

import SwiftUI

struct AskIfWillComeBackScreen: View {
    @ObservedObject var viewModel: ResiliationViewModel
    @State private var navigateToNext = false
    @State var selectedIndex: Int? = nil
    
    var body: some View {
        VStack {
            SQRadio(title: "Pensez-vous redevenir abonné Premier ?", orientation: .horizontal, options: [
                SQRadioOption(title: "1\nNon,Jamais"),
                SQRadioOption(title: "2"),
                SQRadioOption(title: "3"),
                SQRadioOption(title: "4"),
                SQRadioOption(title: "5\nOui, sûrement")
            ], selectedIndex: $selectedIndex)
        }
    }
}

#Preview {
    AskIfWillComeBackScreen(viewModel: ResiliationViewModel(resiliationType: .apProWithTrial))
}
